org.apache.solr.response.transform

## Class GeoTransformerFactory

- java.lang.Object
- - org.apache.solr.response.transform.TransformerFactory
  - - org.apache.solr.response.transform.GeoTransformerFactory

- All Implemented Interfaces:
    NamedListInitializedPlugin

      public class GeoTransformerFactory
      extends TransformerFactory

  This DocumentTransformer will write a `Shape` to the SolrDocument using the requested format. Supported formats include:
  - GeoJSON
  - WKT
  - Polyshape
  For more information see: spatial4j/FORMATS.md The shape is either read from a stored field, or a ValueSource. This transformer is useful when:
  - You want to return a format different than the stored encoding (WKT vs GeoJSON)
  - The `Shape` is stored in a `ValueSource`, not a stored field
  - the value is not stored in a format the output understands (ie, raw GeoJSON)

- - ### Field Summary

    - ### Fields inherited from class org.apache.solr.response.transform.TransformerFactory

      `defaultFactories, defaultUserArgs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeoTransformerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocTransformer` | `create(String display, SolrParams params, SolrQueryRequest req)`

    - ### Methods inherited from class org.apache.solr.response.transform.TransformerFactory

      `init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeoTransformerFactory

          public GeoTransformerFactory()

  - ### Method Detail

    - #### create

          public DocTransformer create(String display,
                                       SolrParams params,
                                       SolrQueryRequest req)

      Specified by:
        `create` in class `TransformerFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.